Delete user asset
DELETE/api/v1/assets/user-assets/{asset_id}/
Delete a user profile asset (avatar or cover image) and remove its reference from the user profile. This is a soft delete: the asset is marked as deleted and the user's profile is updated.
Path parameters
asset_id:requiredstringThe unique identifier of the asset.
Scopes
assets:write
Delete user asset
bash
curl -X DELETE \
"https://api.plane.so/api/v1/assets/user-assets/asset-uuid/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"python
import requests
response = requests.delete(
"https://api.plane.so/api/v1/assets/user-assets/asset-uuid/",
headers={"X-API-Key": "your-api-key"}
)
print(response.status_code)javascript
const response = await fetch("https://api.plane.so/api/v1/assets/user-assets/asset-uuid/", {
method: "DELETE",
headers: {
"X-API-Key": "your-api-key",
},
});
console.log(response.status);Response204
No response body.

